Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 947965 - RHEVM Backend : VM can be removed while in other state than down, like migrating and powering off
Summary: RHEVM Backend : VM can be removed while in other state than down, like migrat...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3.5.0
Assignee: Roy Golan
QA Contact: Lukas Svaty
URL:
Whiteboard: virt
Depends On:
Blocks: 1121089 1136010 rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2013-04-03 16:15 UTC by Barak Dagan
Modified: 2018-12-06 15:05 UTC (History)
11 users (show)

Fixed In Version: vt2.2
Doc Type: Bug Fix
Doc Text:
Previously it was possible to remove virtual machines during powering down or migrating states. Now, that action is properly configured and users can remove virtual machines only when the machines are in "Down" state.
Clone Of:
: 1136010 (view as bug list)
Environment:
Last Closed: 2015-02-11 17:52:46 UTC
oVirt Team: ---
Target Upstream Version:


Attachments (Terms of Use)
engine log (deleted)
2013-04-03 16:40 UTC, Barak Dagan
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0158 normal SHIPPED_LIVE Important: Red Hat Enterprise Virtualization Manager 3.5.0 2015-02-11 22:38:50 UTC
oVirt gerrit 31369 master MERGED core: avoid removing a vm also when migratingTo Never
oVirt gerrit 32236 ovirt-engine-3.5 MERGED core: avoid removing a vm also when migratingTo Never

Description Barak Dagan 2013-04-03 16:15:27 UTC
Description of problem:
during migrating and powering down states remove vm action can be performed successfully

Version-Release number of selected component (if applicable):
SF 10

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:
Expecting that remove vm will fail on any state other than down

Additional info:

Comment 1 Barak Dagan 2013-04-03 16:40:05 UTC
Created attachment 731247 [details]
engine log

Comment 2 Barak Dagan 2013-04-03 16:43:26 UTC
clarifications:
powering down - during power off action and not in shutdown (attached log)
migrating - results of https://bugzilla.redhat.com/show_bug.cgi?id=922490, migrating vm and immediatly canceling the migration, the vm is stuck in migrating to state and can be removed in that state ().

Comment 3 Barak Dagan 2013-04-03 16:58:19 UTC
(In reply to comment #2)
> clarifications:
> powering down - during power off action and not in shutdown (attached log)
> migrating - results of https://bugzilla.redhat.com/show_bug.cgi?id=922490,
> migrating vm and immediatly canceling the migration, the vm is stuck in
> migrating to state and can be removed in that state ().

remove vm using cli.

Comment 10 Lukas Svaty 2014-09-16 13:57:19 UTC
verified in vt3 for status Migrating, Shutting down

Comment 12 errata-xmlrpc 2015-02-11 17:52:46 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0158.html


Note You need to log in before you can comment on or make changes to this bug.